El manual de KDE su
Anterior |  | Siguiente

# Capítulo 3. Uso de KDE su

El uso de KDE su es sencillo. La sintáxis es del tipo:

kdesu [USUARIO] [-n] [-t] [-q] [-d] [-f `ARCHIVO`] [-c [ `COMANDO` [`ARG1`] [`ARG2`] [``...] ] ]

kdesu [-v | -h | -s]

Las opciones de la línea de comandos se explican a continuación.

`-c `PROGRAMA``

  Especifica el programa a ejecutar como root. Este nombre se debe pasar en un argumento. De modo que, por ejemplo, si desea iniciar un nuevo administrador de archivos, debería introducir: `kdesu `-c `konqueror -sw```

`-f `ARCHIVO``

  Esta opción le permite un uso eficiente de KDE su en archivos `.desktop`. Le indica a KDE su que examine el archivo especificado por `ARCHIVO`. Si este archivo tiene privilegio de escritura para el usuario actual, KDE su ejecutará el comando como usuario actual. Si no tiene privilegios de escritura, el comando se ejecutará como usuario `USUARIO` (por omisión es root).

  `ARCHIVO` se evalua del siguiente modo: si `ARCHVO` comienza por "/", se toma como un nombre de archivo absoluto. De lo contrario, se toma como el nombre de un archivo de configuración global de KDE. Por ejemplo: para configurar el administrador K de acceso, kdm, usted podría utilizar kdesu `-c kdmconfig -f kdmrc`

`-t`

  Activa la salida por terminal. Esta opción desactiva la posibilidad de recordar contraseñas. La razón es por motivos de depuración del código: si desea ejecutar una applicación desde consola, utilice el comando "su" estándar en su lugar.

`-n`

  No guarda la contraseña. Desactiva la opción "guardar contraseña" en el diálogo de contraseña.

`-q`

  Modo silencioso.

`-d`

  Mostrar información de depuración.

`-v`

  Imprimir información de la versión y salir.

`-h`

  Imprimir algo de ayuda.

`-s`

  Detener el demonio kdesu daemon. Consulte Sección 5.4.

Anterior | Inicio | Siguiente
Compilación |  | Configuración